Bug 502874 - failure in detach-stopped test case from ptrace test suite from systemtap
failure in detach-stopped test case from ptrace test suite from systemtap
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Roland McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-27 11:17 EDT by Mike Gahagan
Modified: 2010-06-28 08:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:43:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Gahagan 2009-05-27 11:17:19 EDT
Description of problem:

The systemtap ptrace test suite can be found here:
cvs -q -z3 -d :pserver:anoncvs:anoncvs@sources.redhat.com:/cvs/systemtap checkout ptrace-tests

make[1]: Leaving directory `/mnt/tests/kernel/syscalls/ptrace/ptrace-tests-0.1/tests'
+ set +e
+ ./detach-stopped
+ rc=1
+ set -e
+ popd
/mnt/tests/kernel/syscalls/ptrace
+ '[' 1 -eq 77 ']'
+ '[' 1 -eq 0 ']'
+ RESULT=FAIL
+ TEST_RC=1
+ report_result /kernel/syscalls/ptrace/detach-stopped FAIL
+ rhts-report-result /kernel/syscalls/ptrace/detach-stopped FAIL /tmp/tmp.lspcSb
/usr/share/rhts/lib/rhts/__init__.py:16: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import md5
8154612
/kernel/syscalls/ptrace/detach-stopped result: FAIL
+ date --iso=seconds
2009-05-14T20:46:12-0400
+ runtest detach-stopped /kernel/syscalls/ptrace/detach-stopped/biarch biarch-tests
+ test=detach-stopped
+ report=/kernel/syscalls/ptrace/detach-stopped/biarch
+ subdir=biarch-tests
+ '[' biarch-tests = biarch-tests -a '(' -z '' -o i686 = ia64 -o i686 = s390 ')' ']'
+ set +e
+ make -C ptrace-tests-0.1/biarch-tests detach-stopped
make[1]: Entering directory `/mnt/tests/kernel/syscalls/ptrace/ptrace-tests-0.1/biarch-tests'
make[1]: *** No rule to make target `detach-stopped'.  Stop.
make[1]: Leaving directory `/mnt/tests/kernel/syscalls/ptrace/ptrace-tests-0.1/biarch-tests'
+ rc=2
+ set -e
+ '[' 2 -eq 0 ']'
+ return
+ for test in '$SAFE'
+ date --iso=seconds


Version-Release number of selected component (if applicable):
rawhide 0515 tree, kernel 2.6.29.3-140.fc11  

How reproducible:
always
Steps to Reproduce:
1.check out and run the testsuite from the cvs repo above
2.or queue up /kernel/syscalls/ptrace in rhts
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Chuck Ebbert 2009-05-28 04:28:43 EDT
This works in the Fedora 10 2.6.27 kernel but fails in Fedora 11 2.6.29.
Comment 2 Roland McGrath 2009-05-28 15:25:06 EDT
We've reverted to the upstream behavior here.  Until upstream changes to match the test's expectation, this is not especially a Fedora bug.  This won't change upstream before 2.6.31 at the earliest.
Comment 3 Bug Zapper 2009-06-09 12:38:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-04-27 10:32:36 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 08:43:35 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.